diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_before_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_before_update_event_trigger.sql
index 42071e8c..2125a2ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_before_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_before_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_delete_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_delete_event_trigger_with_transition.sql
index 8180195f..ece31b34 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_delete_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_delete_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_insert_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_insert_event_trigger_with_transition.sql
index 30d535b6..c42f6d02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_insert_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_insert_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_insert_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_update_event_trigger_enable_always.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_update_event_trigger_enable_always.sql
index fb408501..d5b9767e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_update_event_trigger_enable_always.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_after_update_event_trigger_enable_always.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_before_insert_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_before_insert_event_trigger.sql
index 9ffbce48..b9608008 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_before_insert_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_before_insert_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_before_update_event_trigger_enable_replica.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_before_update_event_trigger_enable_replica.sql
index 400df80e..1aae2013 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_before_update_event_trigger_enable_replica.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/alter_before_update_event_trigger_enable_replica.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_delete_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_delete_event_trigger.sql
index df82706d..c0c3bbd3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_delete_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_delete_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_delete_events_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_delete_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_delete_event_trigger_with_transition.sql
index 08fc2024..92b3b097 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_delete_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_delete_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_insert_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_insert_event_trigger_with_transition.sql
index 81bf82e5..d7d068ee 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_insert_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_insert_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_insert_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_update_event_trigger.sql
index 3c8beb69..d2894d82 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_after_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_b4r_update_multiple_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_b4r_update_multiple_event_trigger.sql
index 18d5aede..bf0d6bf5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_b4r_update_multiple_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_b4r_update_multiple_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_b4r_update_mul_events_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT OR UPDATE OF col3
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_insert_event_at_statement.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_insert_event_at_statement.sql
index 4b20ac92..b5a72504 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_insert_event_at_statement.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_insert_event_at_statement.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_statement_$%{}[]()&*^!@\"'`\\/#"
 
--- DROP TRIGGER "trig_test_statement_$%{}[]()&*^!@\""'`\\/#""" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_statement_$%{}[]()&*^!@\""'`\\/#""" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_statement_$%{}[]()&*^!@\""'`\\/#"""
     BEFORE INSERT OR DELETE OR TRUNCATE OR UPDATE OF col1, col2, col3
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_insert_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_insert_event_trigger.sql
index 15bbcd28..0aede597 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_insert_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_insert_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_update_event_trigger.sql
index 85465cd2..ff2a1573 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/11_plus/create_before_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_after_update_event_trigger_enable_always.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_after_update_event_trigger_enable_always.sql
index 81b7420a..0c11eb3e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_after_update_event_trigger_enable_always.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_after_update_event_trigger_enable_always.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_before_insert_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_before_insert_event_trigger.sql
index cf8ee745..2a5c0b6e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_before_insert_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_before_insert_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_before_update_event_trigger_enable_replica.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_before_update_event_trigger_enable_replica.sql
index 06f8d896..b24753da 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_before_update_event_trigger_enable_replica.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/alter_before_update_event_trigger_enable_replica.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_after_delete_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_after_delete_event_trigger.sql
index a85a3550..23d22361 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_after_delete_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_after_delete_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_delete_events_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_after_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_after_update_event_trigger.sql
index 7d9550ce..d8339b88 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_after_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_after_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_b4r_update_multiple_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_b4r_update_multiple_event_trigger.sql
index a0f3f8b4..013b45ff 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_b4r_update_multiple_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_b4r_update_multiple_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_b4r_update_mul_events_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT OR UPDATE OF col3
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_insert_event_at_statement.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_insert_event_at_statement.sql
index c0cf9c6a..1a441212 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_insert_event_at_statement.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_insert_event_at_statement.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_statement_$%{}[]()&*^!@\"'`\\/#"
 
--- DROP TRIGGER "trig_test_statement_$%{}[]()&*^!@\""'`\\/#""" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_statement_$%{}[]()&*^!@\""'`\\/#""" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_statement_$%{}[]()&*^!@\""'`\\/#"""
     BEFORE INSERT OR DELETE OR TRUNCATE OR UPDATE OF col1, col2, col3
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_insert_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_insert_event_trigger.sql
index 26064949..d0194501 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_insert_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_insert_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_update_event_trigger.sql
index 42071e8c..2125a2ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/default/create_before_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_acl_grantee_change.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_acl_grantee_change.sql
index 5977dd02..82f806c8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_acl_grantee_change.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_acl_grantee_change.sql
@@ -1,6 +1,6 @@
 -- Type: range_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."range_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."range_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."range_type_$%{}[]()&*^!@""'`\/#" AS RANGE
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_acl_description.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_acl_description.sql
index 4769bf1d..f1e5a781 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_acl_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_acl_description.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_add_member.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_add_member.sql
index b864240c..48145c0e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_add_member.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_add_member.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_remove_member.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_remove_member.sql
index 013245da..c7e9d7d0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_remove_member.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_composite_type_remove_member.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_enum_type_acl_description.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_enum_type_acl_description.sql
index e114d0cf..aec7de47 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_enum_type_acl_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_enum_type_acl_description.sql
@@ -1,6 +1,6 @@
 -- Type: enum_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."enum_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."enum_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."enum_type_$%{}[]()&*^!@""'`\/#" AS ENUM
     ('a', 'b', 'c', 'd');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_enum_type_label.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_enum_type_label.sql
index 1a7a1530..8eb66451 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_enum_type_label.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_enum_type_label.sql
@@ -1,6 +1,6 @@
 -- Type: enum_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."enum_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."enum_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."enum_type_$%{}[]()&*^!@""'`\/#" AS ENUM
     ('a', 'b', 'c', 'd');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_range_type_acl_description.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_range_type_acl_description.sql
index 496f8422..1a0b6243 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_range_type_acl_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_range_type_acl_description.sql
@@ -1,6 +1,6 @@
 -- Type: range_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."range_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."range_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."range_type_$%{}[]()&*^!@""'`\/#" AS RANGE
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_shell_type_acl_description.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_shell_type_acl_description.sql
index 3f78bfd2..d3159758 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_shell_type_acl_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/alter_shell_type_acl_description.sql
@@ -1,6 +1,6 @@
 -- Type: shell_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."shell_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."shell_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."shell_type_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_composite_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_composite_type.sql
index d48f7053..0eae8b9d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_composite_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_composite_type.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_composite_type_one_field.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_composite_type_one_field.sql
index 16d5758b..b6a83314 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_composite_type_one_field.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_composite_type_one_field.sql
@@ -1,6 +1,6 @@
 -- Type: composite_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."composite_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."composite_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."composite_type_$%{}[]()&*^!@""'`\/#" AS
 (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_enum_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_enum_type.sql
index ebccea87..a65d1796 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_enum_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_enum_type.sql
@@ -1,6 +1,6 @@
 -- Type: enum_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."enum_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."enum_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."enum_type_$%{}[]()&*^!@""'`\/#" AS ENUM
     ('a', 'b', 'c');
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_range_type.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_range_type.sql
index be9c1a75..e001dd4c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_range_type.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/pg/default/create_range_type.sql
@@ -1,6 +1,6 @@
 -- Type: range_type_$%{}[]()&*^!@"'`\/#
 
--- DROP TYPE public."range_type_$%{}[]()&*^!@""'`\/#";
+-- DROP TYPE IF EXISTS public."range_type_$%{}[]()&*^!@""'`\/#";
 
 CREATE TYPE public."range_type_$%{}[]()&*^!@""'`\/#" AS RANGE
 (
